Commit 4d1c6291 authored by Adam Powell's avatar Adam Powell

Patched ElmerClips to use libav/0.7.1

parent 20c0f230
......@@ -2,8 +2,9 @@ elmerfem (6.1.0.svn.5396.dfsg-1) unstable; urgency=low
* New upstream revision.
* Added DEB_PY_VERSIONS to ElmerGUI clean to make sure that works.
* Patched ElmerClips to use libav/0.7.1 (closes: #640548).
-- "Adam C. Powell, IV" <hazelsct@debian.org> Sat, 01 Oct 2011 22:01:25 +0900
-- "Adam C. Powell, IV" <hazelsct@debian.org> Sat, 01 Oct 2011 22:32:51 +0900
elmerfem (6.1.0.svn.5272.dfsg-1) unstable; urgency=low
......
Compatibility change for libav 0.7.1
Index: elmerfem/utils/ElmerClips/src/encoder.cpp
===================================================================
--- elmerfem.orig/utils/ElmerClips/src/encoder.cpp
+++ elmerfem/utils/ElmerClips/src/encoder.cpp
@@ -213,7 +213,7 @@
}
context->codec_id = codec_id;
- context->codec_type = CODEC_TYPE_VIDEO;
+ context->codec_type = AVMEDIA_TYPE_VIDEO;
context->qmin = 2;
context->qmax = qMax(2, qMin(31, quality));
context->width = widthYUV;
......@@ -6,3 +6,4 @@ no-avcore.patch
lib-link-order.patch
ElmerGUI-no-strip.patch
elmer-revision.patch
libav_071.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment